/*
 * Copyright © 2023 by Data Virtuality GmbH
 */
package org.teiid.query.util;

import com.datavirtuality.dv.core.services.DVService;

import javax.security.auth.Subject;

public interface DVContextGetter extends DVService {
    Subject createSubjectForUser(String userName);
    CommandContext getContextForUser(CommandContext context, String userName);
}
