/**
 * Copyright © 2012 by Data Virtuality GmbH
 */
package com.datavirtuality.dv.jdbc;

import static org.junit.Assert.*;

import java.sql.SQLException;
import java.util.Properties;

import org.junit.Ignore;
import org.junit.Test;

/**
 * @author klebeck
 *
 */
public class DriverTest {

	/**
	 * Test method for {@link com.datavirtuality.dv.jdbc.Driver#connect(java.lang.String, java.util.Properties)}.
	 */
	@Test
	@Ignore
	public void testConnect() {
		Driver test = new Driver();
		Properties props = new Properties();
		props.put("user", "user");		
		props.put("password", "user");
		try {
			test.connect("jdbc:datavirtuality:datavirtuality@mm://localhost:31000;SHOWPLAN=ON", props);
		} catch (SQLException e) {
			fail();
		}
	}
	
	@Test
	public void testAcceptUrl() {
		Driver test = new Driver();
		try {
			test.acceptsURL("jdbc:datavirtuality:datavirtuality@mm://localhost:31000;SHOWPLAN=ON");
		} catch (SQLException e) {
			fail();
		}
	}
	

}
