/*
 * Copyright Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags and
 * the COPYRIGHT.txt file distributed with this work.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date: 2016-10-21 14:19:11 +0200 (Fr, 21 Okt 2016) $
 *
 */
// https://issues.redhat.com/browse/TEIID-5898
package org.teiid.resource.adapter.salesforce;

import static org.junit.Assert.*;

import org.junit.Test;

@SuppressWarnings("nls")
public class TestManagedConnectionFactory {

    @Test public void testVersion() throws Exception {
        assertEquals("45.0", SalesForceManagedConnectionFactory.getJavaApiVersion());
    }

}
