/*
 * Copyright © 2023 by Data Virtuality GmbH
 */
package org.teiid.query.util;

import com.datavirtuality.dv.core.services.DVService;
import org.teiid.adminapi.impl.SessionMetadata;

import java.util.Set;

/**
 * @author Roman Pedchenko
 * @date 2023.04.17
 */
public interface DVUsersHandlerIntf extends DVService {
    boolean isAdminOrSystemOrHasRoles(SessionMetadata session);

    boolean hasUser(String username);

    Set<String> addMappedRoles(Set<String> roleSet);
}
